<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-throw-on-failure-test.ThrowOnFailureTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-throw-on-failure-test.ThrowOnFailureTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-throw-on-failure-test.ThrowOnFailureTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest__inherit__graph.svg" width="242" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-throw-on-failure-test.ThrowOnFailureTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest__coll__graph.svg" width="242" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac9966623ba3bbd94be99aef689db43f3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html#ac9966623ba3bbd94be99aef689db43f3">RunAndVerify</a> (self, env_var_value, flag_value, should_fail)</td></tr>
<tr class="separator:ac9966623ba3bbd94be99aef689db43f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55494f56e9674d086077e82583e8f823"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html#a55494f56e9674d086077e82583e8f823">testDefaultBehavior</a> (self)</td></tr>
<tr class="separator:a55494f56e9674d086077e82583e8f823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ab58ce03ffb9fa474a6c9282bb13021"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html#a8ab58ce03ffb9fa474a6c9282bb13021">testThrowOnFailureEnvVar</a> (self)</td></tr>
<tr class="separator:a8ab58ce03ffb9fa474a6c9282bb13021"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeded6eb7d9c7e95f4d18768c4a767eaf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html#aeded6eb7d9c7e95f4d18768c4a767eaf">testThrowOnFailureFlag</a> (self)</td></tr>
<tr class="separator:aeded6eb7d9c7e95f4d18768c4a767eaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18515553dbfe7b3e6ed6449fa81893c1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html#a18515553dbfe7b3e6ed6449fa81893c1">testThrowOnFailureFlagOverridesEnvVar</a> (self)</td></tr>
<tr class="separator:a18515553dbfe7b3e6ed6449fa81893c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests the throw-on-failure mode.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac9966623ba3bbd94be99aef689db43f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9966623ba3bbd94be99aef689db43f3">&#9670;&nbsp;</a></span>RunAndVerify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-throw-on-failure-test.ThrowOnFailureTest.RunAndVerify </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>env_var_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>flag_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>should_fail</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Runs googletest-throw-on-failure-test_ and verifies that it does
(or does not) exit with a non-zero code.

Args:
  env_var_value:    value of the GTEST_BREAK_ON_FAILURE environment
                    variable; None if the variable should be unset.
  flag_value:       value of the --gtest_break_on_failure flag;
                    None if the flag should not be present.
  should_fail:      True if and only if the program is expected to fail.
</pre> 
</div>
</div>
<a id="a55494f56e9674d086077e82583e8f823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55494f56e9674d086077e82583e8f823">&#9670;&nbsp;</a></span>testDefaultBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-throw-on-failure-test.ThrowOnFailureTest.testDefaultBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of the default mode.</pre> 
</div>
</div>
<a id="a8ab58ce03ffb9fa474a6c9282bb13021"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab58ce03ffb9fa474a6c9282bb13021">&#9670;&nbsp;</a></span>testThrowOnFailureEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-throw-on-failure-test.ThrowOnFailureTest.testThrowOnFailureEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using the GTEST_THROW_ON_FAILURE environment variable.</pre> 
</div>
</div>
<a id="aeded6eb7d9c7e95f4d18768c4a767eaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeded6eb7d9c7e95f4d18768c4a767eaf">&#9670;&nbsp;</a></span>testThrowOnFailureFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-throw-on-failure-test.ThrowOnFailureTest.testThrowOnFailureFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using the --gtest_throw_on_failure flag.</pre> 
</div>
</div>
<a id="a18515553dbfe7b3e6ed6449fa81893c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18515553dbfe7b3e6ed6449fa81893c1">&#9670;&nbsp;</a></span>testThrowOnFailureFlagOverridesEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-throw-on-failure-test.ThrowOnFailureTest.testThrowOnFailureFlagOverridesEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that --gtest_throw_on_failure overrides GTEST_THROW_ON_FAILURE.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-throw-on-failure-test.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-throw-on-failure-test</b></li><li class="navelem"><a class="el" href="classgoogletest-throw-on-failure-test_1_1ThrowOnFailureTest.html">ThrowOnFailureTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
